Subject: Re: draft-nottingham-http-link-relation-07 progress

From: Mark Nottingham <[email-masked]>
Date: Tue, 19 Jan 2010 15:15:26 +1100

I generally agree with all of this, and think it can mostly be derived from the spec + current practice + web architecture, so I think we're OK.

On 30/12/2009, at 5:43 PM, Eran Hammer-Lahav wrote:

> I like this. This is where I think we are:
> 
> -- Use a URI relation type when:
> 
> * Don't want or cannot engage the community for the purpose of registering a relation type
> * Using an internal or experimental relation type (similar to the original purpose of the X- HTTP headers)
> * Defining a short-lived relation type (e.g. something for an event) 
> * Do not want to involve IANA / IETF in the process or politics of your standard
> * You like URIs better
> 
> -- Use a "trademark-quality" registered short relation type for (i.e. a relation type that is unique, not a trivial word, and unlikely to mean something else):
> 
> * A narrowly defined relation type
> * Protocol specific
> * Restricted in the media type of the linked resource
> * Restricted in link cardinality in the same place or multiple places (HTTP Header, HTML element, etc.)
> * Use for other purposes will break something
> 
> -- Use a generic term registered short relation type:
> 
> * Generally applicable across context, protocols
> * Meaning is aligned with common expectations of technical people
> * Can have specialized processing rules of meaning in some cases without breaking something
> 
> Are these examples right? I don't think we need to have them in the spec, but it would be great if we can offer the DE's something to work with (as well as the wider community to better understand how they should use this process).
> 
> EHL
> 
> 
>> -----Original Message-----
>> From: Mark Nottingham [mailto:[email-masked]]
>> Sent: Tuesday, December 29, 2009 3:26 PM
>> To: Eran Hammer-Lahav
>> Cc: Julian Reschke; Apps Discuss
>> Subject: Re: draft-nottingham-http-link-relation-07 progress
>> 
>> 
>> On 14/12/2009, at 6:05 PM, Eran Hammer-Lahav wrote:
>> 
>>> Maybe some recommendation in the spec about naming conventions?
>> Something along the lines of non-novel names should not be used for very
>> narrow cases.
>> 
>> 
>> How about (after the other requirements on relation names):
>> 
>> They SHOULD be appropriate to the specificity of the relation; i.e., if the
>> semantics are highly specific to a particular application, the name should
>> reflect that, so that more general names are available for less specific use.
>> 
>> 
>> --
>> Mark Nottingham     http://www.mnot.net/
> 

--
Mark Nottingham     http://www.mnot.net/